[![Build Status](https://travis-ci.com/Industrial/idTweaks.svg?branch=master)](https://travis-ci.com/Industrial/idTweaks)

# idTweaks

World of Warcraft AddOn. Automates many things with UI Options for each. Type
`/idt` or `/idtweaks` to start configuring.

Do you have an idea or suggestion? Leave a comment here or open a ticket on github
(https://github.com/Industrial/idTweaks).

## Modules

### Automation

- Dismount when needed.
- Accept Hearthstone Bind.
- Accept PVP Release.
- Accept Resurrection.
- Accept Summon.
- Sell grey items.
- Repair (and print the cost).

### BlizzardUI

- Hide the Buffs/Debuffs frame.
- Hide the CastingBar frame.
- Hide the center error messages individually.

### Chat

- Print a small version of loot messages.
- Reload the interface when typing /rl or /reload.

### Mail

- Send the mail when the recipient is filled and the 12th item is selected.

### Minimap

- Mousewheel zooming.
- Hide elements around the minimap.
- Toggle the minimap to be square.
- Move the minimap to the right of the action bars.

### Questing

- Accept quests automatically.
- Complete quests automatically when there is no reward option.
- Complete gossip automatically when there is one option.
- Set an override key to STOP automation.
- Automate interactions in the Seat of the Primus (Selects the Anima Deposit window).

### Tooltips

- Anchor the tooltip to one place.
